package de.unibremen.ggj2014;

public class BloodSplash extends Entity {
    private static final String LEFT = "data/BloodSplashLeft.png";
    private static final String RIGHT = "data/BloodSplashRight.png";
    
    public enum Direction {
        LEFT,
        RIGHT
    }

    public BloodSplash(Direction d, float x, float y) {
        super(new Animation(d == Direction.LEFT ? LEFT : RIGHT, TILE_SIZE_IN_PX, .05f), new Physics(x, y, 1, 1, false, 0));
        Animation a = getAnimations().iterator().next();
        a.disableLoop();
    }

}
