package de.unibremen.ggj2014;

import de.unibremen.ggj2014.CollideListener.CollisionSurface;

public class GiantSaw extends Hazard {
	private static final String ANIMATION = "data/GiantSaw.png";

	public GiantSaw(float x, float y) {
		super(null, x, y, 2f);
	}
	
    @Override
    public void addBlood(CollisionSurface s) {
	if (!this.isBloody(CollisionSurface.NORTH)) {
	    this.setBloody(CollisionSurface.NORTH);
	    this.setAnimation(new Animation("data/GiantSaw.png", TILE_SIZE_IN_PX*4));
	}
    }
    
    @Override
    public void update(float deltaTime) {
    	super.update(deltaTime);
    	for (Animation a : this.getAnimations()) {
			a.setVisualRotation(a.getVisualRotation() + deltaTime * 200);
		}
    }
}
