package de.unibremen.ggj2014;

import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;

public class ScreenButton extends UIElement {

	Texture image;
	
	public ScreenButton(String name, int x, int y) {
		super(x, y, 0, 0);
		
		this.image = new Texture(name);
		setWidth(image.getWidth());
		setHeight(image.getHeight());
	}

	@Override
	public void drawItem(SpriteBatch batch, int x, int y) {
		super.drawItem(batch, x, y);
		batch.draw(image, x, y, getWidth(), getHeight());
	}

}
