package de.unibremen.ggj2014;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.audio.Sound;

public class SoundManager {
	private static SoundManager singleton;
	
	public Sound jump;
	public Sound particle;
	public Sound die;
	public Sound catapult;
	
	private SoundManager() {
		jump = Gdx.audio.newSound(Gdx.files.internal("data/jump.mp3"));
		particle = Gdx.audio.newSound(Gdx.files.internal("data/particle.mp3"));
		die = Gdx.audio.newSound(Gdx.files.internal("data/die.mp3"));
		catapult = Gdx.audio.newSound(Gdx.files.internal("data/catapult.mp3"));
	}
	
	public static SoundManager getInstance() {
		if (singleton == null)
			singleton = new SoundManager();
		return singleton;
	}
	
}
