package de.unibremen.ggj2014;

import de.unibremen.ggj2014.CollideListener.CollisionSurface;

public class Saw extends Hazard {
    private static final String ANIMATION = "data/SmallSaw.png";

    public Saw(float x, float y) {
	super(null, x, y, 0.5f);
    }

    @Override
    public void addBlood(CollisionSurface s) {
    	if (!this.isBloody(CollisionSurface.NORTH)) {
    		this.setBloody(CollisionSurface.NORTH);
    		this.setAnimation(new Animation("data/SmallSaw.png", TILE_SIZE_IN_PX));
    	}
    }
    
    @Override
    public void update(float deltaTime) {
    	super.update(deltaTime);
    	for (Animation a : this.getAnimations()) {
			a.setVisualRotation(a.getVisualRotation() + deltaTime * 1000);
		}
    }

}
