package de.unibremen.ggj2014;

import com.badlogic.gdx.physics.box2d.Filter;


public class SpawnPosition extends Tile {

//	Player player;

	public SpawnPosition(float x, float y) {
		super("data/TempTile01.png", x, y, 1, 1);
		Animation permanent = new Animation("data/SpawnPoint.png", Entity.TILE_SIZE_IN_PX);
		this.setAnimation(permanent);
	}
	
	@Override
	public void init() {
	    super.init();
		getBody().getFixtureList().get(0).setSensor(true);
	}
	
	private static Filter filter;
	@Override
	public Filter getFilter() {
		if(filter == null){
	    	filter = new Filter();
	    	filter.categoryBits = Physics.TRIGGER; // I am a
	    	filter.maskBits = Physics.PLAYER; // I can collide with
	    }
		return filter;
	}

}
